#! /bin/sh
# Configuration script for ntb-dps (NTeX) V1.0
# Copyright 1994, Frank Langbein
# All rights reserved.
#
# Redistributions of this script must retain the above copyright notice, 
# this condition and the following disclaimer.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

curr_dir=$(pwd)
editor=vi

cat << EOF

Configuring ntb-dps

You have installed the package ntb-dps. The dvi driver dvips for postscript
printer needs to be configured for your own one. This is done with the file
/usr/lib/texmf/dvips/config.ps. 

EOF
echo -n "Do you want to edit config.ps now (with $editor) [y/n]? "
read ANS
if test "$ANS" = "y" -o "$ANS" = "Y"; then
   cmd="$editor /usr/lib/texmf/dvips/config.ps"
   echo Running $cmd
   $cmd
fi

